CMSIS-Core (Cortex-A): mem_ARMCA9.h File Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
mem_ARMCA9.h File Reference

Memory base and size definitions (used in scatter file) More...

## Macros

#define | __ROM_BASE 0x80000000
#define | __ROM_SIZE 0x00200000
#define | __RAM_BASE 0x80200000
#define | __RAM_SIZE 0x00200000
#define | __RW_DATA_SIZE 0x00100000
#define | __ZI_DATA_SIZE 0x000F0000
#define | __STACK_SIZE 0x00001000
#define | __HEAP_SIZE 0x00008000
#define | __UND_STACK_SIZE 0x00000100
#define | __ABT_STACK_SIZE 0x00000100
#define | __SVC_STACK_SIZE 0x00000100
#define | __IRQ_STACK_SIZE 0x00000100
#define | __FIQ_STACK_SIZE 0x00000100
#define | __TTB_BASE 0x80500000
#define | __TTB_SIZE 0x00005000

## Description

Version
  V1.1.0

Date
  15. May 2019

Note

## Macro Definition Documentation

#define __ABT_STACK_SIZE 0x00000100

#define __FIQ_STACK_SIZE 0x00000100

#define __HEAP_SIZE 0x00008000

#define __IRQ_STACK_SIZE 0x00000100

#define __RAM_BASE 0x80200000

#define __RAM_SIZE 0x00200000

#define __ROM_BASE 0x80000000

#define __ROM_SIZE 0x00200000

#define __RW_DATA_SIZE 0x00100000

#define __STACK_SIZE 0x00001000

#define __SVC_STACK_SIZE 0x00000100

#define __TTB_BASE 0x80500000

#define __TTB_SIZE 0x00005000

#define __UND_STACK_SIZE 0x00000100

#define __ZI_DATA_SIZE 0x000F0000